本博客不欢迎:各种镜像采集行为,请尊重知识产权法律法规。大家都是程序员,不要闹得不开心。

本文写作环境是mac Mojave10.14.1,在这个环境下,使用brew安装wine的时候,收到了一个错误提示。大意就是wine不适合当前mac的操作系统10.14。这里,苏南大叔就要给出个大大的黑人问号了。还能有这样的操作?

苏南大叔:Wine cannot currently be installed from source on macOS - wine-002
Wine cannot currently be installed from source on macOS(图4-1)

本文试验环境:mac Mojave 10.14.1wine 3.0.2

错误提示

Error: Wine cannot currently be installed from source on macOS 10.14.
You may wish to try:
  brew install wine --force-bottle
/usr/local/Homebrew/Library/Homebrew/utils/fork.rb:49:in `write': Broken pipe (Errno::EPIPE)

在错误提示的底部,提示使用新的命令:

brew install wine --force-bottle

可能是网络原因

强扭的瓜不甜,所以苏南大叔往上看相关安装输出信息。可以看到:在安装的初期,代码逻辑是有试图下载编译完成版本的。但是由于网络关系,下载失败了。所以程序开始试图自行编译wine。那么,苏南大叔没有选择--force-bottle,而是再次尝试运行原本的brew脚本。

苏南大叔:Wine cannot currently be installed from source on macOS - wine-006
Wine cannot currently be installed from source on macOS(图4-2)

苏南大叔:Wine cannot currently be installed from source on macOS - wine-007
Wine cannot currently be installed from source on macOS(图4-3)

苏南大叔:Wine cannot currently be installed from source on macOS - wine-008
Wine cannot currently be installed from source on macOS(图4-4)

brew install wine

结果wine安装成功了。

总结

更多wine相关经验文字,苏南大叔推荐您点击下面的链接查看:

如果本文对您有帮助,或者节约了您的时间,欢迎打赏瓶饮料,建立下友谊关系。
本博客不欢迎:各种镜像采集行为。请尊重原创文章内容,转载请保留作者链接。